Skip to main content
POST
/
v3
/
mappings
Create a mapping
curl --request POST \
  --url https://{region}.affinda.com/v3/mappings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataSource": "mewERBRJJ",
  "scoreCutoff": 10,
  "organization": "mewlkWEKL",
  "orderBy": "label"
}
'
import requests

url = "https://{region}.affinda.com/v3/mappings"

payload = {
"dataSource": "mewERBRJJ",
"scoreCutoff": 10,
"organization": "mewlkWEKL",
"orderBy": "label"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataSource: 'mewERBRJJ',
scoreCutoff: 10,
organization: 'mewlkWEKL',
orderBy: 'label'
})
};

fetch('https://{region}.affinda.com/v3/mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "identifier": "mEFayXdO",
  "dataSource": "mewERBRJJ",
  "organization": "mewlkWEKL",
  "scoreCutoff": 10,
  "orderBy": "label"
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

application/json
dataSource
string | null
required

The mapping data source this mapping applies to.

Example:

"mewERBRJJ"

scoreCutoff
number | null

Higher values will result in more strict matching.

Example:

10

organization
string | null

The organization that this mapping belongs to.

Example:

"mewlkWEKL"

orderBy
string | null

The field to order the results by. Leave blank for ordering by relevance.

Example:

"label"

Response

Successfully created a mapping.

A mapping allows you to specify specific settings regarding a lookup against a MappingDataSource should be applied.

identifier
string
required
read-only

Uniquely identify a mapping.

Example:

"mEFayXdO"

dataSource
string | null
required

The mapping data source this mapping applies to.

Example:

"mewERBRJJ"

organization
string | null

The organization that this mapping belongs to.

Example:

"mewlkWEKL"

scoreCutoff
number | null

Higher values will result in more strict matching.

Example:

10

orderBy
string | null

The field to order the results by. Leave blank for ordering by relevance.

Example:

"label"